JcaPKIXIdentityBuilder (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.openssl.jcajce

## Class JcaPKIXIdentityBuilder

- java.lang.Object
- - org.bouncycastle.openssl.jcajce.JcaPKIXIdentityBuilder

-     public class JcaPKIXIdentityBuilder
      extends java.lang.Object

  Builder for a private/public identity object representing a "user"

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcaPKIXIdentityBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JcaPKIXIdentity` | `build(java.io.File keyFile, java.io.File certificateFile)` Build an identity from the passed in key and certificate file in PEM format.
    `JcaPKIXIdentity` | `build(java.io.InputStream keyStream, java.io.InputStream certificateStream)` Build an identity from the passed in key and certificate stream in PEM format.
    `JcaPKIXIdentityBuilder` | `setProvider(java.security.Provider provider)`
    `JcaPKIXIdentityBuilder` | `setProvider(java.lang.String providerName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcaPKIXIdentityBuilder

          public JcaPKIXIdentityBuilder()

  - ### Method Detail

    - #### setProvider

          public JcaPKIXIdentityBuilder setProvider(java.security.Provider provider)

    - #### setProvider

          public JcaPKIXIdentityBuilder setProvider(java.lang.String providerName)

    - #### build

          public JcaPKIXIdentity build(java.io.File keyFile,
                              java.io.File certificateFile)
                                throws java.io.IOException,
                                       java.security.cert.CertificateException

      Build an identity from the passed in key and certificate file in PEM format.
      Parameters:
        `keyFile` - the PEM file containing the key
        `certificateFile` - the PEM file containing the certificate
      Returns:
        an identity object.
      Throws:
        `java.io.IOException` - on a general parsing error.
        `java.security.cert.CertificateException` - on a certificate parsing error.

    - #### build

          public JcaPKIXIdentity build(java.io.InputStream keyStream,
                              java.io.InputStream certificateStream)
                                throws java.io.IOException,
                                       java.security.cert.CertificateException

      Build an identity from the passed in key and certificate stream in PEM format.
      Parameters:
        `keyStream` - the PEM stream containing the key
        `certificateStream` - the PEM stream containing the certificate
      Returns:
        an identity object.
      Throws:
        `java.io.IOException` - on a general parsing error.
        `java.security.cert.CertificateException` - on a certificate parsing error.